petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCBDDCSetLevels

Sets the maximum number of levels for multilevel

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetLevels(PC pc,PetscInt levels)

Logically collective on PC

### Input Parameters

| pc | - the preconditioning context
| levels | - the maximum number of levels (max 9)

### Options Database Keys

-pc_bddc_levels -

### Notes

Default value is 0, i.e. traditional one-level BDDC

### See Also

PCBDDC, PCBDDCSetCoarseningRatio()

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages